Name:          procps-ng
Version:       3.3.14
Release:       1mamba
Summary:       Command line and full screen utilities for browsing procfs
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/procps-ng
Source:        http://sourceforge.net/projects/procps-ng/files/Production/procps-ng-%{version}.tar.xz
Patch0:        procps-3.2.8-sysinfo_7numbers.patch
Patch1:        procps-3.2.8-kernel-3.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
Provides:      procps = %{version}-%{release}
Obsoletes:     procps < 3.2.9
Provides:      sysvinit-tools
Obsoletes:     sysvinit-tools
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This project provides command line and full screen utilities for browsing procfs, a "pseudo" file system dynamically generated by the kernel to provide information about the status of entries in its process table (such as whether the process is running, stopped, or a "zombie").
It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop, snice, sysctl, tload, top, uptime, vmstat, w, and watch.

%package -n libprocps
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libprocps
This package contains shared libraries for %{name}.

%package -n libprocps-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libprocps = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libprocps-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
%configure \
   --with-systemd \
   --disable-modern-top \
   --sbindir=/sbin

%make \
   CC=%{_target_platform}-gcc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#mv %{buildroot}%{_bindir}/pidof %{buildroot}/bin/pidof
install -d -m0755 %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libprocps.so.* %{buildroot}/%{_lib}/
ln -sfv ../../%{_lib}/$(readlink %{buildroot}%{_libdir}/libprocps.so) %{buildroot}%{_libdir}/libprocps.so

# https://gitlab.com/procps-ng/procps/commit/430b559ba2826f80dffa840622ae0fc744000b13
install -d -m0755 %{buildroot}/bin
mv %{buildroot}%{_bindir}/{kill,pidof,ps} %{buildroot}/bin/

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# add/remove libproc in the cache
%post   -n libprocps -p /sbin/ldconfig
%postun -n libprocps -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
/bin/kill
/bin/pidof
/bin/ps
/sbin/sysctl
%{_bindir}/free
%{_bindir}/pgrep
%{_bindir}/pkill
%{_bindir}/pmap
%{_bindir}/pwdx
#%{_bindir}/skill
%{_bindir}/slabtop
#%{_bindir}/snice
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch
%{_mandir}/man?/*

%files -n libprocps
%defattr(-,root,root)
/%{_lib}/libprocps.so.*
%doc AUTHORS COPYING*

%files -n libprocps-devel
%defattr(-,root,root)
%dir %{_includedir}/proc
%{_includedir}/proc/*.h
%{_libdir}/libprocps.a
%{_libdir}/libprocps.la
%{_libdir}/libprocps.so
%{_libdir}/pkgconfig/libprocps.pc
%dir %{_datadir}/doc/procps-ng
%{_datadir}/doc/procps-ng/*
%doc NEWS

%changelog
* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 3.3.14-1mamba
- automatic version update by autodist

* Wed Apr 11 2018 Automatic Build System <autodist@mambasoft.it> 3.3.13-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 3.3.12-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Automatic Build System <autodist@mambasoft.it> 3.3.11-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 3.3.10-1mamba
- automatic update by autodist

* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.9-2mamba
- completed work started by Davide

* Tue Jul 22 2014 Davide Madrisan <davide.madrisan@gmail.com> 3.3.9-1mamba
- update to 3.3.9

* Sun Sep 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-5mamba
- added patch to support 2 components kernel versions (3.0)

* Sat May 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-4mamba
- added a better patch to fix 'Unknown HZ value' message (see http://bugs.gentoo.org/show_bug.cgi?id=303120#c33)

* Fri Aug 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-3mamba
- fix the make 3.82 fix to restore build of /bin/ps

* Wed Aug 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.8-2mamba
- added Makefile fix for build with make 3.82

* Sat Jun 06 2009 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic update by autodist

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-2mamba
- specfile updated

* Tue Oct 03 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-1qilnx
- update to version 3.2.7 by autospec

* Wed Jun 28 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 3.2.6-1qilnx
- update to version 3.2.6 by autospec

* Mon Sep 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.5-1qilnx
- update to version 3.2.5 by autospec

* Fri Jul 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1qilnx
- new version build

* Sun Nov 30 2003 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.14-1qilnx
- rebuilt with latest version (linux 2.6.x compatible version)

* Wed Apr 09 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- write a spec file for procps
